#pragma once

#include "Wima/Geometry/WimaAreaData.h"

class GeoTile : public WimaAreaData
{
public:
    GeoTile();
    GeoTile(const GeoTile&other);

    QString type() const {return "Tile";}
    GeoTile* Clone() const {return new GeoTile(*this);}

    GeoTile& operator=(const GeoTile &other);

protected:
    void assign(const GeoTile &other);
};

